weka.knowledgeflow

## Class ExecutionResult<T>

- java.lang.Object
- - weka.knowledgeflow.ExecutionResult<T>

- Type Parameters:
    `T` - the type of the result stored
  All Implemented Interfaces:
    java.io.Serializable

      public class ExecutionResult<T>
      extends java.lang.Object
      implements java.io.Serializable

  Stores the result generated by a StepTask.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getError()` Get the Exception generated during processing of a StepTask, or null if the task completed successfully.
    `T` | `getResult()` Get the result generated by the StepTask
    `void` | `setError(java.lang.Exception error)` Set an exception, in the case that an error occurred during the processing done by a StepTask
    `void` | `setResult(T result)` Set the result generated by the StepTask

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionResult

          public ExecutionResult()

  - ### Method Detail

    - #### setError

          public void setError(java.lang.Exception error)

      Set an exception, in the case that an error occurred during the processing done by a StepTask
      Parameters:
        `error` -

    - #### getError

          public java.lang.Exception getError()

      Get the Exception generated during processing of a StepTask, or null if the task completed successfully.
      Returns:
        the Exception generated, or null if the task completed successfully

    - #### setResult

          public void setResult(T result)

      Set the result generated by the StepTask
      Parameters:
        `result` - the result generated by the StepTask

    - #### getResult

          public T getResult()

      Get the result generated by the StepTask
      Returns:
        the result generated by the StepTask